Subject: Re: bug#25482: 26.0.50; Allow setting `query-replace-from-to-separator` to nil

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jan 2017 05:42:35 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Sun, 29 Jan 2017 02:59:24 +0200
> 
> >> So that design decision and the resulting code we have now had some
> >> justification, and any replacement will have to support the same
> >> features, which I think a simple string will not do.
> >
> > Ok, thanks for explanation, perhaps you can close this bug.
> 
> Please don't close this bug.  I think your idea for customization was good.
> We just need to find the right implementation that will keep the current
> default intact, at the same time allowing you to customize the string
> or set it to nil.

I intended to move the char-displayable-p call from the defcustom, and
remove the re-evaluate call.  But if you want to handle this part, it
would be even better.  It's just that you've been very silent on this
issue until now.

Thanks.